Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000954Frama-CPlug-in > metricspublic2011-09-09 08:412014-02-12 16:59
Reporterpatrick 
Assigned Tovirgile 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C GIT, precise the release id 
Target VersionFixed in VersionFrama-C Nitrogen-20111001 
Summary0000954: failure: bad initialisation: Too many initializations of the AST
DescriptionCrash with option -metrics -metrics-ast cabs when applied on project built by another (i.e. volatile and slicing) plug-in.
Additional InformationRevision: 15055

> cat file.c
int v;
int main(int x) {
  v=x;
  return v;
}

>frama-c -slice-return main file.c -then-on "Slicing export" -metrics -metrics-ast cabs
[kernel] failure: bad initialisation: Too many initializations of the AST
[kernel] The full backtrace is:
...
Called from file "src/metrics/metrics_cabs.ml", line 557, characters 21-44
...
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0002223)
rbonichon (developer)
2011-09-09 09:51
edited on: 2011-09-09 09:56

This crash seems to happen because the newly created project has no Cabs AST.
Possible fix: provide a way to signal the absence of Cabs in projects.

SVN revision 15057 renders message output clearer (Kernel.fatal "bad initialisation" and Ast.Bad_Initialization produced much too similar output) , catches this fatal message in the Metrics plugin, and tries to give a possible explanation. The suggested fix above should will probably mitigate this need.

(0004731)

2014-02-12 16:59

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2011-09-09 08:41 patrick New Issue
2011-09-09 08:41 patrick Status new => assigned
2011-09-09 08:41 patrick Assigned To => rbonichon
2011-09-09 09:51 rbonichon Note Added: 0002223
2011-09-09 09:51 rbonichon Status assigned => acknowledged
2011-09-09 09:56 rbonichon Note Edited: 0002223
2011-09-09 09:57 rbonichon Status acknowledged => assigned
2011-09-09 09:57 rbonichon Assigned To rbonichon => virgile
2011-09-26 11:05 svn Checkin
2011-09-26 11:05 svn Status assigned => resolved
2011-09-26 11:05 svn Resolution open => fixed
2011-10-10 14:13 signoles Fixed in Version => Frama-C Nitrogen-20111001
2011-10-10 14:14 signoles Status resolved => closed
2014-02-12 16:59 Note Added: 0004731
2014-02-12 16:59 Status closed => resolved


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker